> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Import Calendar Event > Use this endpoint to import an exteral calendar event. ## OpenAPI ````json POST /api/v1/calendar-events.import { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Miscellaneous" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Commands" }, { "name": "Email Inbox" }, { "name": "Licenses" }, { "name": "Mailer" }, { "name": "Calendar Events" }, { "name": "WhatsApp" }, { "name": "Rasa App" }, { "name": "Jitsi App" } ], "paths": { "/api/v1/calendar-events.import": { "post": { "summary": "Import Calendar Event", "tags": [ "Calendar Events" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "id": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "id": "690c2b2d4e7e8bcf6985b3d8", "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'externalId' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "post-api-v1-calendar-events.import", "description": "Use this endpoint to import an exteral calendar event.", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "externalId", "startTime", "subject", "description" ], "properties": { "externalId": { "type": "string", "description": "Enter the event ID (eid) of the external calendar event." }, "startTime": { "type": "string", "description": "Enter the time at which the event begins." }, "endTime": { "type": "string", "description": "Enter the time at which the event ends." }, "subject": { "type": "string", "description": "Enter the event subject." }, "description": { "type": "string", "description": "Enter the event description." }, "reminderMinutesBeforeStart": { "type": "integer", "description": "Enter the number of minutes before the event that the reminder must be sent." }, "busy": { "type": "boolean", "description": "Enter whether or not you want to set your status as busy." } } }, "examples": { "Example 1": { "value": { "externalId": "NWwwcnU3NmM1NW03dDRtZGdkMWNjNDRmamsgcmFjaGFuYS52aXNhdmFkaXlhQHJvY2tldC5jaGF0", "startTime": "2025-11-05T07:17:00Z", "endTime": "2025-11-05T07:18:00Z", "subject": "Subject8", "description": "Description8", "reminderMinutesBeforeStart": 10, "busy": true } } } } } } } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````